Bug 212190 - Divide by zero error if homedir is set to /
Summary: Divide by zero error if homedir is set to /
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: keychain (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Dalloz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2006-10-25 15:43 UTC by Erinn Looney-Triggs
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 2.6.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-04 22:29:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to resolve issue for csh (520 bytes, patch)
2006-10-25 15:43 UTC, Erinn Looney-Triggs
no flags Details | Diff

Description Erinn Looney-Triggs 2006-10-25 15:43:55 UTC
Description of problem:
Divide by zero error occurs if homedir is set to /. I know it isn't common but
some folks set root's homedir to '/'. When this happens keychain gives a divide
by zero error when you login, this effectivley kills scripts that aren't
expecting any feedback.

Version-Release number of selected component (if applicable):
2.6.2-1.fc6

How reproducible:
I am using tcsh so the /etc/profile.d/keychain.csh is the issue.

Steps to Reproduce:
1.Set homedir to '/'
2.login

  
Actual results:
Receive divide by zero error

Expected results:
No output

Additional info: 
This is on Fedora Core 6, though it is applicable to 5 as well.

Comment 1 Erinn Looney-Triggs 2006-10-25 15:43:55 UTC
Created attachment 139358 [details]
Patch to resolve issue for csh

Comment 2 Alexander Dalloz 2006-11-04 22:28:32 UTC
Thanks for reporting and providing the fix. Along with an update to the current
upstream version I changed the specific Fedora Extras package keychain.csh
script, releasing a new package right now.


Note You need to log in before you can comment on or make changes to this bug.